Skip to main content
POST
/
submission
/
{displayId}
/
{transactionId}
/
non-renewal
Non-Renewal
curl --request POST \
  --url https://app.coverwhale.com/api/v1/submission/{displayId}/{transactionId}/non-renewal \
  --header 'AccessToken: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "nonRenewal_reason": "<string>",
  "other_nonRenewal_reason": "<string>"
}
'
{
  "status": "success",
  "submission_number": "<string>",
  "transaction_id": 123,
  "submission_status": "<string>"
}

Authorizations

AccessToken
string
header
required

AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.

Headers

AccessToken
string
required

Path Parameters

displayId
string
required
transactionId
integer
required

Body

application/json
nonRenewal_reason
string

Non-renewal reason

other_nonRenewal_reason
string

Custom non-renewal reason (overrides nonRenewal_reason if provided)

Response

Non-renewal processed

status
string
Example:

"success"

submission_number
string
transaction_id
integer
submission_status
string